#ifndef _terminal_h
#define _terminal_h

// terminal colors
#define LIGHT   1
#define DARK    22
#define BLACK   30
#define RED     31
#define GREEN   32
#define YELLOW  33
#define BLUE    34
#define MAGENTA 35
#define CYAN    36
#define WHITE   37

void terminal_init();

void terminal_clrkey();
char terminal_getkey();

char terminal_getc();
void terminal_putc(char c);

void terminal_gets(char *s, uint8_t size);

void terminal_puts(char *s);
void terminal_puts_P(char *s);

void terminal_clearscreen();
void terminal_clearline();

void terminal_setpos(uint8_t x, uint8_t y);
void terminal_setcolor(uint8_t bright, uint8_t color);

#endif // _terminal_h
